Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.request
Class AddRequestToTestCaseAction

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.impl.wsdl.actions.support.AbstractAddToTestCaseAction<WsdlRequest>
              com.eviware.soapui.impl.wsdl.actions.request.AddRequestToTestCaseAction

All Implemented Interfaces:
  SoapUIAction<WsdlRequest>, PropertyChangeNotifier

    public class AddRequestToTestCaseAction

extends AbstractAddToTestCaseAction<WsdlRequest>

Adds a WsdlRequest to a WsdlTestCase as a WsdlTestRequestStep

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `SOAPUI_ACTION_ID`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`AddRequestToTestCaseAction()`

Method Summary
`WsdlTestRequestStep` | `addRequest(WsdlTestCase testCase, WsdlRequest request, int position)`
`void` | `perform(WsdlRequest request, java.lang.Object param)`

Methods inherited from class com.eviware.soapui.impl.wsdl.actions.support.AbstractAddToTestCaseAction
`addNewTestSuiteAndTestCase, getTargetTestCase`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAPUI_ACTION_ID

    public static final java.lang.String SOAPUI_ACTION_ID

See Also:
  Constant Field Values

Constructor Detail

### AddRequestToTestCaseAction

    public AddRequestToTestCaseAction()

Method Detail

### perform

    public void perform(WsdlRequest request,
                        java.lang.Object param)

### addRequest

    public WsdlTestRequestStep addRequest(WsdlTestCase testCase,
                                          WsdlRequest request,
                                          int position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.